Skip to main content
PUT
/
fleet
/
rules
/
{uid}
cURL
curl --request PUT \
  --url https://api.avala.ai/api/v1/fleet/rules/{uid}/ \
  --header 'Content-Type: application/json' \
  --header 'X-Avala-Api-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "condition": {},
  "description": "<string>",
  "enabled": true,
  "actions": {},
  "scope": {}
}
'
{
  "name": "<string>",
  "condition": {},
  "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "enabled": true,
  "actions": {},
  "scope": {},
  "hit_count": 123,
  "last_hit_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

X-Avala-Api-Key
string
header
required

API key for authentication. Generate one in Mission Control Settings > Security & Identity.

Path Parameters

uid
string
required

Body

application/json
name
string
required
Required string length: 1 - 255
condition
Condition · object
required
description
string
enabled
boolean
actions
Actions · object
scope
Scope · object

Response

200 - application/json
name
string
required
Required string length: 1 - 255
condition
Condition · object
required
uid
string<uuid>
description
string
enabled
boolean
actions
Actions · object
scope
Scope · object
hit_count
integer
last_hit_at
string<date-time> | null
created_at
string<date-time>
updated_at
string<date-time>